Anka Transport™


Yanındaki Güç...

Incompatible ETS2 & ATS Versions

SCS has released version 1.50 for Euro Truck Simulator 2 & American Truck Simulator

We do not support these updates yet on TruckersMP, but fortunately it is possible to downgrade to 1.49!

For information on downgrading your game, please click here

Information


Tag: ANKA
Language: Turkish
Created: 28 Jul 2019 19:21 UTC
Supported Game
Euro Truck Simulator 2
DLCs Required: 0
Owner: Anka - Turgay.N
Members: 13
Recruitment: Open

Latest VTC Posts

There are currently no posts

Rules

CONTACT US

Want to know more information or have a question?

By Email

Requirements

1-) En Fazla 3 Banınız Olmalı.

2-) +16 Yaş Alımları Vardır.

3-) Discort'ta mikrofon zorunludur

DLC Requirements

No DLCs Required

Members